[arch-commits] Commit in nano/trunk (PKGBUILD nanorc)

andyrtr at archlinux.org andyrtr at archlinux.org
Mon Aug 25 08:35:47 EDT 2008


    Date: Monday, August 25, 2008 @ 08:35:46
  Author: andyrtr
Revision: 10262

upgpkg: nano 2.0.8-1
    bump + disable line wrapping to prevent broken configs; remove not used nanorc

Modified:
  nano/trunk/PKGBUILD
Deleted:
  nano/trunk/nanorc

----------+
 PKGBUILD |   18 ++++------
 nanorc   |  103 -------------------------------------------------------------
 2 files changed, 8 insertions(+), 113 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-25 12:35:03 UTC (rev 10261)
+++ PKGBUILD	2008-08-25 12:35:46 UTC (rev 10262)
@@ -1,24 +1,22 @@
 # $Id$
 # Maintainer: Judd <judd at archlinux.org>
 pkgname=nano
-pkgver=2.0.7
+pkgver=2.0.8
 pkgrel=1
 pkgdesc="Pico editor clone with enhancements"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.nano-editor.org"
 groups=('base')
 depends=('glibc' 'ncurses')
-source=(http://www.nano-editor.org/dist/v2.0/nano-$pkgver.tar.gz nanorc)
+source=(http://www.nano-editor.org/dist/v2.0/nano-${pkgver}.tar.gz)
 backup=(etc/nanorc)
-md5sums=('16187fed2bdefec6275ece6401ce4cd2'
-         'd4d3842319075fdb832fc970d556099e')
+md5sums=('fcb2a26285921458b6fe381c2802b1a8')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --enable-color --enable-nanorc --enable-multibuffer
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc --enable-color --enable-nanorc --enable-multibuffer --disable-wrapping
   make || return 1
-  make DESTDIR=$startdir/pkg install
-#  install -DTm644 $startdir/src/nanorc $startdir/pkg/etc/nanorc
-  install -DTm644 $startdir/src/$pkgname-$pkgver/doc/nanorc.sample $startdir/pkg/etc/nanorc
+  make DESTDIR=${pkgdir} install || return 1
+  install -DTm644 ${srcdir}/${pkgname}-${pkgver}/doc/nanorc.sample ${pkgdir}/etc/nanorc
 }

Deleted: nanorc
===================================================================
--- nanorc	2008-08-25 12:35:03 UTC (rev 10261)
+++ nanorc	2008-08-25 12:35:46 UTC (rev 10262)
@@ -1,103 +0,0 @@
-set autoindent
-set const
-set historylog
-set nowrap
-set smooth
-set speller "aspell -c"
-set regexp
-set fill 72
-# set multibuffer
-# set nohelp
-set suspend
-
-syntax "pkgbuild" "^.*PKGBUILD$"
-color green start="^" end="$"
-color cyan "^.*(pkgname|pkgver|pkgrel|pkgdesc|force|url|license|install|source|md5sums|groups|backup|depends|makedepends|conflicts|provides|replaces).*=.*$"
-color brightcyan "\<(pkgname|pkgver|pkgrel|pkgdesc|force|url|license|install|source|md5sums|groups|backup|depends|makedepends|conflicts|provides|replaces)\>"
-color cyan "\.install"
-color brightwhite "=" "'" "\(" "\)" "\"" "#.*$" "\," "\{" "\}"
-color brightcyan "(\$|\$\{|\$\()(pkgname|pkgver|pkgrel|pkgdesc|force|url|license|install|source|md5sums|groups|backup|depends|makedepends|conflicts|provides|replaces|startdir)(|\}|\))"
-color brightred "build\(\)"
-color brightred "\<(configure|make)\>"
-color red "\<(DESTDIR|PREFIX|prefix|sysconfdir|datadir|libdir|includedir|mandir)\>"
-
-syntax "c-file" "\.(c|h)$"
-color red "\<[A-Z_]{2,}\>"
-color green "\<(float|char|int|void|static|const|struct)\>"
-color brightyellow "\<(if|while|do|else|case|switch)\>"
-color brightcyan "^#( )*(define|include|ifn?def|endif|elif|else|if)"
-
-syntax "php" "\.php[2345s~]?$"
-color brightblue "(.*)\("
-color blue "\$[a-zA-Z_0-9$]*|[=!<>]"
-color green "(var|class|function|echo|case|break|default|exit|switch|if|else|elseif|@|while)\s"
-color green "[.,{}();]"
-color red "('.*')|(\".*\")"
-color brightyellow "(#.*|//.*)$"
-color brightyellow start="/\*" end="\*/"
-color brightblue "(<\?(php)?|\?>)"
-color white start="\?>" end="<\?(php)?"
-
-syntax "HTML" "\.html$"
-color blue start="<" end=">"
-color red "&[^; ]*;"
-
-syntax "patch" "\.(patch|diff)$"
-color brightgreen "^\+.*"
-color green "^\+\+\+.*"
-color brightblue "^ .*"
-color brightred "^-.*"
-color red "^---.*"
-color brightyellow "^@@.*"
-color magenta "^diff.*"
-
-syntax "Java source" "\.java$"
-color green "\<(boolean|byte|char|double|float|int|long|new|short|this|transient|void)\>"
-color red "\<(break|case|catch|continue|default|do|else|finally|for|if|return|switch|throw|try|while)\>"
-color cyan "\<(abstract|class|extends|final|implements|import|instanceof|interface|native|package|private|protected|public|static|strictfp|super|synchronized|throws|volatile)\>"
-color red ""[^\"]*""
-color yellow "\<(true|false|null)\>"
-color blue "//.*"
-color blue start="/\*" end="\*/"
-color brightblue start="/\*\*" end="\*/"
-color brightgreen,green " +$"
-
-syntax "ml" ".*\.([jrs]?html?|xml|sgml?)$"
-color white "^.+$"
-color green  start="<" end=">"
-color cyan   "<[^> ]+"
-color cyan   ">"
-color yellow start="<!DOCTYPE" end="[/]?>"
-color yellow start="<!--" end="-->"
-color red    "&[^;]*;"
-
-## syntax highlighting in xorg.conf
-##
-syntax "xorg" "xorg\.conf$"
-color brightwhite "(Section|EndSection|Sub[sS]ection|EndSub[sS]ection)"
-# keywords
-color yellow "[^A-Za-z0-9](Identifier|Screen|InputDevice|Option|RightOf|LeftOf|Driver|RgbPath|FontPath|ModulePath|Load|VendorName|ModelName|BoardName|BusID|Device|Monitor|DefaultDepth|View[pP]ort|Depth|Virtual|Modes|Mode|DefaultColorDepth|Modeline|\+vsync|\+hsync|HorizSync|VertRefresh)[^A-Za-z0-9]"
-# numbers
-color magenta "[0-9]"
-# strings
-color green ""(\\.|[^\"])*""
-# comments
-color white "#.*"
-
-# Generic conf/rc/sh file syntax highlighting
-#############################################
-syntax "conf/rc/sh" "conf$|rc$|sh$"
-color white ".+"
-color green "^#.*"
-
-# .nanorc syntax highlighting
-#############################
-syntax "nanorc" "[\.]*nanorc$"
-color white "^ *(set|unset).*$"
-color cyan "^ *(set|unset) (autoindent|backup|const|cut|fill|keypad|multibuffer|noconvert|nofollow|nohelp|nowrap|operatingdir|preserve|quotestr|regexp|smooth|speller|suspend|tabsize|tempfile|historylog|view)"
-color brightwhite "^ *syntax [^ ]*"
-color brightblue "^ *set\>" "^ *unset\>" "^ *syntax\>"
-color white "^ *color\>.*"
-color yellow "^ *color (bright)?(black|blue|cyan|green|magenta|red|white|yellow)\>"
-color magenta "^ *color\>"
-color green "^#.*$"




More information about the arch-commits mailing list